Roamify eSIM APIs (Most Affordable)
Home
Roamify Docs
Home
Roamify Docs
  1. eSIMs
  • eSIM Country
    • Get eSIM Supported Country
      GET
  • eSIM Packages
    • Get eSIM Packages
      GET
  • Orders
    • Create eSIM Order
      POST
    • Create eSIM Top-Up Order
      POST
    • Create Instant eSIM Order (no /apply needed)
      POST
    • Get all eSIM Orders
      GET
    • Get Order
      GET
  • eSIMs
    • Generate eSIM Profile
      POST
    • Get eSIM Compatible TopUp Packages
      GET
    • Get eSIM Usage
      GET
    • Get eSIM Usage Details
      GET
    • Get eSIM Events
      GET
    • Get eSIM
      GET
    • Get eSIMs
      GET
    • Get eSIM Packages History
      GET
    • Send SMS
      POST
    • Generate eSIMs Link for Sharing
      POST
  • Compatible Devices
    • Get eSIM Compatible Devices
      GET
  • Account Balance
    • Get Account Balance
      GET
  • Exchange Rates
    • Get Supported Currencies
      GET
    • Get Exchange Rate
      GET
  • Health Check
    • API Health
      GET
  1. eSIMs

Send SMS

Development
https://api-dev.getroamify.com
Development
https://api-dev.getroamify.com
POST
https://api-dev.getroamify.com
/api/esim/sms
Last modified:2026-06-09 18:16:40
Maintainer:Not configured
Sends an SMS message to a specific eSIM.

Body Parameters#

NameTypeRequiredDescription
iccidstringrequiredThe ICCID of the eSIM to send the SMS to.
messagestringrequiredThe message content to send.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200successfully / 200
text/plain
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-dev.getroamify.com/api/esim/sms' \
--header 'Authorization: Bearer roamify_4ECge13m8ZqFvGshLVLfdnFzi5hGuXkCBg2keWxVVKi7b2BGWmoXiv7bgVtNxY5Ruif7QKEthrLNrEkvnBV3Z7D3Fyj547NbnDnsDU7HgkRX8ggKD285dkXZHdNFM8npxoyr12nSzfpzqRuLvJj2d9eXgucEQmD9Gg4aKnUWvNaRbz1mKv7fAwdJe' \
--header 'Content-Type: application/json' \
--data '{
    "iccid": "871003213213123131",
    "message": "Hello Cusotmer!"
}'
Response Response Example
application/json; charset=utf-8 content type is not supported in the response body
Modified at 2026-06-09 18:16:40
Previous
Get eSIM Packages History
Next
Generate eSIMs Link for Sharing
Built with